/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_VIEW_H
#include "MyHelloView.h"
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
    MyHelloView  *aView;
	
    frame.OffsetTo(B_ORIGIN);
    aView = new MyHelloView(frame, "MyHelloView");

    AddChild(aView);
    Show();
}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);
    return(TRUE);
}


// note in the above that the GetFrontWindow() routine returns a 
// BWindow object (because that's what the LApplication WindowAt() 
// routine returns). That's fine if a BWindow routine is to be 
// invoked by the returned object. However, if the object is of 
// a BWindow-derived class, and a function of the derived class is
// to be called, then the returned object needs to be typecast 
// (a BWindow object only knows of BWindow functions). A demonstration
// of this is the purpose of this next trivial routine, and the call to
// it in the MyHelloView.cpp version of MouseDown().

void MyHelloWindow::BeepOnce()
{
	beep();
}


