/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


// By using B_FOLLOW_RIGHT or'ed with B_FOLLOW_BOTTOM, we're telling the view to have
// remain fixed in size, and to keep a constant distant from the right and bottom parent
// view (the window here) boundaries.
// Screen dump 2 illustrates with a window that's bigger, and the view moving with it.
//
// ALSO.... Making the window small shows that the button is over the view. This is pretty 
// cool, and demonstrates the view hierarchy and drawing order. The view was added first, 
// so it's drawn first. The button was added second, so it is drawn after the view is drawn. 
// Thus the button appears above the view. 
// Screen dump 3 illustrates.
// No try reversing the order of the addition of the view and the button in 
// the MyHelloWindow constructor to see that the view now obstructs the button when the
// window is resized to a size that crowds the view and button. I tried this and it is
// indeed the case.

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_RIGHT | B_FOLLOW_BOTTOM, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
	BRect  frame = Bounds();
	
	StrokeRect(frame);
}











