/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_RIGHT | B_FOLLOW_BOTTOM, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
	BeginPicture(new BPicture);  
      	;
	fPicture = EndPicture();

    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
	BRect  frame = Bounds();
	
	StrokeRect(frame);
    DrawPicture(fPicture);
}


// NEW ********** new parameter added (numShapes):
 void MyDrawView::SetViewPicture(int32 pictureNum, int32 numShapes)
 {
	BRect  aRect;
	int32  i;
				
 	switch (pictureNum) 
 	{
 		case PICTURE_SQUARES:
			BeginPicture(fPicture);  
      			aRect.Set(15.0, 20.0, 140.0, 150.0);
      			// NEW ********** changed end from 30 to numShapes:
				for (i = 0; i < numShapes; i++) {
					aRect.InsetBy(2.0, 2.0);
					StrokeRect(aRect);
				}
			fPicture = EndPicture();
			break;

 		case PICTURE_CIRCLES:
			BeginPicture(fPicture);       			
      			aRect.Set(15.0, 20.0, 140.0, 150.0);
      			// NEW ********** changed end from 30 to numShapes:
				for (i = 0; i < numShapes; i++) {
					aRect.InsetBy(2.0, 2.0);
					StrokeEllipse(aRect);
				}
			fPicture = EndPicture();
			break;
	}
}










