/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


#define   TEXT_INSET   3.0

// move into constructor -- that's the only place it's used:
// BRect  viewFrame(20.0, 20.0, 220.0, 80.0);


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
	// moved this one declaration from above:
	BRect  viewFrame(20.0, 20.0, 220.0, 80.0);
	BRect  textBounds;
	
	textBounds.left = TEXT_INSET;
	textBounds.right = viewFrame.right - viewFrame.left - TEXT_INSET;
	textBounds.top = TEXT_INSET;
	textBounds.bottom = viewFrame.bottom - viewFrame.top - TEXT_INSET;

	fTextView = new BTextView(viewFrame, "MyTextView", textBounds,
           B_FOLLOW_NONE, B_WILL_DRAW);
  	// cut this next line. We're going to use this text view as the target for the 
  	// upcoming scroll view, then add the scroll view to fMyView
//	AddChild(fTextView);

// ******* NEW ******************************************************
	// use the just-created BTextView as the target for this BScrollView:
	fScrollView = new BScrollView("MyScrollView", fTextView, B_FOLLOW_NONE, 0, false, true);
	// now add the scroll view to the fMyView. The BTextView is already a part of the scroll
	// view so there's no need to explicitly add it to the scroll view (or to fMyView):
	AddChild(fScrollView);
// ******* NEW ******************************************************
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);

	fTextView->MakeFocus();

	// don't need to inset viewFrame in preparation for drawing a border 
	// around the text view -- BScrollView does that for us
//	viewFrame.InsetBy(-2.0, -2.0);
}


void MyDrawView::Draw(BRect)
{
	//	don't need to draw a border around the scroll view -- that's done for us by BScrollView
//	StrokeRect(viewFrame);
}











