/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


#define   TEXT_INSET   3.0


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
// This listing is very similar to the P08 ScrollViewText listing. I've removed that
// listing's comments. The comments below highlight the few changes made to that P08
// example project.

//  set the size of this rect  in the two new lines that follow these two declarations:
//  BRect  viewFrame(20.0, 20.0, 220.0, 80.0);
	BRect  viewFrame;
	BRect  textBounds;

// 	Next two lines are new -- just a little fiddling around here. The text view should be 
//  the size of the fMyView, less room for the vertical scrollbar. Set text view to the 
//  size of the main window view, fMyView (coordinates local to the view fMyView, not the 
//  window). Then subtract out the width of the scroll bar -- the scroll bar is added 
//  outside of the scroll view's right boundary
	viewFrame = Bounds();
	viewFrame.right -= B_V_SCROLL_BAR_WIDTH;

	textBounds.left = TEXT_INSET;
	textBounds.right = viewFrame.right - viewFrame.left - TEXT_INSET;
	textBounds.top = TEXT_INSET;
	textBounds.bottom = viewFrame.bottom - viewFrame.top - TEXT_INSET;

// 	Changed from B_FOLLOW_NONE to B_FOLLOW_ALL. When left at follow none,
//	growing the window resulted in the scroll bar being repeatedly drawn (and not being erased)
	fTextView = new BTextView(viewFrame, "MyTextView", textBounds,
           B_FOLLOW_ALL, B_WILL_DRAW);
           
// 	Changed from B_FOLLOW_NONE to B_FOLLOW_ALL. When left at follow none, the scrolling view 
//  doesn't grow with the window's growth
	fScrollView = new BScrollView("MyScrollView", fTextView, B_FOLLOW_ALL, 0, false, true);
	AddChild(fScrollView);
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);

	fTextView->MakeFocus();
}


void MyDrawView::Draw(BRect)
{
}











